%define anolis_release 1
%define debug_package %{nil}

%global pypi_name wheel
%global pypi_version 0.37.1

Name:           python-wheel
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        A built-package format for Python
License:        MIT
URL:            https://github.com/pypa/wheel
Source0:        https://files.pythonhosted.org/packages/c0/6c/9f840c2e55b67b90745af06a540964b73589256cb10cc10057c87ac78fc2/wheel-0.37.1.tar.gz


BuildRequires:  python3dist(setuptools) >= 40.9
BuildRequires:  python3dist(pytest) >= 3
BuildRequires:  python3dist(pytest-cov)

BuildRequires:  gcc cmake
BuildRequires:  python3-devel python3-setuptools
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python-srpm-macros

%description
A built-package format for Python

%package -n python3-%{pypi_name}
Summary:        %{summary}

Requires:       python3dist(pytest) >= 3
Requires:       python3dist(pytest-cov)

%description -n python3-%{pypi_name}
%{description}
%package -n python3-%{pypi_name}-doc
Summary:        %{summary}
BuildArch:      noarch
Requires:       python3-%{pypi_name} = %{version}-%{release}

%description -n python3-%{pypi_name}-doc
%{description}

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%build
%py3_build

%install
%py3_install


%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE.txt
%{_bindir}/wheel
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%files -n python3-%{pypi_name}-doc
%doc README.rst docs/news.rst

%changelog
* Tue Jul 05 2022 happy_orange <songnannan@linux.alibaba.com> - 0.37.1-1
- init package from upstream